Summary: The zlib compression and decompression library.
Name: zlib
Version: 1.1.3
Release: 11mdk
Group: System/Libraries
Source: ftp://ftp.uu.net/graphics/png/zlib-%{version}.tar.bz2
Patch0: zlib-1.1.3-glibc.patch.bz2
Url: http://www.cdrom.com/pub/infozip/zlib/
Copyright: BSD
Buildroot: /var/tmp/zlib-root

%description
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  This version of the library supports only one compression method
(deflation), but other algorithms may be added later, which will have
the same stream interface.  The zlib library is used by many different
system programs.

%package devel
Summary: Header files and libraries for developing apps which will use zlib.
Group: Development/C
Requires: zlib

%description devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.

Install the zlib-devel package if you want to develop applications that
will use the zlib library.

%prep
%setup -q
%patch0 -p1 -b .glibc

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --shared --prefix=/usr
make
# now build the static lib
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

./configure --shared --prefix=/usr
make install prefix=$RPM_BUILD_ROOT/usr

./configure --prefix=/usr
make install prefix=$RPM_BUILD_ROOT/usr

install -m644 zutil.h $RPM_BUILD_ROOT/usr/include/zutil.h
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -m644 zlib.3 $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/lib/libz.so.*

%files devel
%defattr(-,root,root)
%doc README ChangeLog algorithm.txt
/usr/lib/*.so
/usr/include/*
/usr/lib/*.a
%{_mandir}/man3/zlib.3*

%changelog
* Thu Aug 31 2000 Etienne Faure <etienne@mandrakesoft.com> 1.1.3-11mdk
- rebuilt with %doc and _mandir macros

* Mon Apr 03 2000 Jerome Martin <jerome@mandrakesoft.com> 1.1.3-10mdk
- specfile updated to work with spec-helper
- fixed group

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue Jul 12 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- handle RPM_OPT_FLAGS

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- link against glibc

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.1.3

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.2
- buildroot

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- added URL tag (down at the moment so it may not be correct)
- made zlib-devel require zlib

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
